Bug 71306 - ".." TAB in file selector is confusing
".." TAB in file selector is confusing
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gtk2 (Show other bugs)
1.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-12 05:38 EDT by Kjetil T. Homme
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-07 12:35:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjetil T. Homme 2002-08-12 05:38:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020808

Description of problem:
if you wish to go back, it's natural for me to type .. TAB.  the file selector
does not seem to understand the meaning of ".." in the Unix file system.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. fire up a file selector
2. enter /u TAB .. TAB

	

Actual Results:  the folder list contains . and ..
the text entry widget contains "..", with the cursor positioned at the beginning.

Expected Results:  the file selector should have gone up a level.


Additional info:

it's also interesting that if you type Return, the result will be returned to
the application verbatim.  I don't think it makes sense to return relative paths
when the path starts absolutely.
i.e., "../../bin" is OK, but "/usr/X11R6/lib/../bin" is probably not wanted nor
expected.

the testing was done with gtk2-2.0.6-1
Comment 1 Owen Taylor 2002-08-12 11:43:03 EDT
See

 http://bugzilla.gnome.org/show_bug.cgi?id=89972

(I don't really like the patch in there ... it is a "bandaid"
patch" ... I'd rather understand what has changed betweeen GTK+1.2
and now.)
Comment 2 Owen Taylor 2003-01-07 12:35:47 EST
This was fixed in 2.2.

Note You need to log in before you can comment on or make changes to this bug.